%define ver 1.2
%define rel 5mdk
%define fname id3-py
%define pyversion 2.3
%define oname ID3

Name: python-%oname
Version: %{ver}
Release: %{rel}
Source0: http://id3-py.sourceforge.net/%{fname}_%{ver}.tar.bz2
Summary: Python module for manipulating ID3 information tags on MP3 audio files.
License: GPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://id3-py.sourceforge.net
Requires: python
BuildRequires: libpython-devel >= %{pyversion}
BuildArch: noarch

%description
This is a simple Python module for retrieving and setting so-called ID3
tags on MP3 compressed audio files through an object-oriented interface.
MP3 players generally use this simple information for display track title,
artist name, and album title while playing the sound file.

%prep
%setup -q -n %fname-%version

%build
#python -c "import ID3"
python setup.py build
%install
rm -rf %buildroot
python setup.py install --root %buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README id3-tagger.py
%{_libdir}/python%{pyversion}/site-packages/ID3.py
%{_libdir}/python%{pyversion}/site-packages/ID3.pyc

%changelog
* Fri Sep  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-5mdk
- add source URL

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2-4mdk
- rebuild for new python

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-3mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2-2mdk
- rebuild

* Sat Apr 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- 1.2
- use setup.py

* Sun Jan  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1-2mdk
- python 2.2
- updated BuildRequires

* Sun Nov 25 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.1-1mdk
- adapt for Mandrake

* Thu Nov 08 2001 Jeff Abbott <jabbott@redhat.com>
- Initial RPM build for both Python 1.5 and Python 2.1
